cURL
curl -X POST "https://app.cotool.ai/api/hunt/gaps/:gapId/status" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status":"resolved","reason":"string"}'import requests
url = "https://app.cotool.ai/api/hunt/gaps/{gapId}/status"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.cotool.ai/api/hunt/gaps/{gapId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/hunt/gaps/{gapId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/hunt/gaps/{gapId}/status"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"gap": {
"id": "<string>",
"organizationId": "<string>",
"product": "<string>",
"logSource": "<string>",
"scopeId": "<string>",
"scopeKey": "<string>",
"blocking": true,
"establishedAt": "<string>",
"statusAt": "<string>",
"statusActor": {
"type": "<string>",
"runId": "<string>"
},
"statusReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"linkedThreats": [
{
"threatId": "<string>",
"threatTitle": "<string>",
"canonicalKey": "<string>",
"blocking": true
}
],
"reassessedThreatIds": [
"<string>"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Hunt
Dispose an observability gap
Resolve or dismiss an org-level observability gap once, for every threat it affects. Resolving a blocking gap enqueues a reassessment for each linked threat whose hunt it blocked.
POST
/
api
/
hunt
/
gaps
/
{gapId}
/
status
cURL
curl -X POST "https://app.cotool.ai/api/hunt/gaps/:gapId/status" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"status":"resolved","reason":"string"}'import requests
url = "https://app.cotool.ai/api/hunt/gaps/{gapId}/status"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.cotool.ai/api/hunt/gaps/{gapId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/hunt/gaps/{gapId}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/hunt/gaps/{gapId}/status"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"gap": {
"id": "<string>",
"organizationId": "<string>",
"product": "<string>",
"logSource": "<string>",
"scopeId": "<string>",
"scopeKey": "<string>",
"blocking": true,
"establishedAt": "<string>",
"statusAt": "<string>",
"statusActor": {
"type": "<string>",
"runId": "<string>"
},
"statusReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"linkedThreats": [
{
"threatId": "<string>",
"threatTitle": "<string>",
"canonicalKey": "<string>",
"blocking": true
}
],
"reassessedThreatIds": [
"<string>"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Was this page helpful?
⌘I